# Output in OpenMath format
OMPrint( 1 );
OMPrint( [ 1, 2 ] );
OMPrint( [ [ 1, 2 ], [ 3, 4 ] ] );
OMPrint( "This is a string" );
OMPrint( true );
OMPrint( (1,2,3) );
OMTest( ( 1, 2, 3 ) );
OMPrint(Integers);
x := Indeterminate( Rationals, "x" );
OMPrint( PolynomialRing( Rationals ) );
OMPrint( 1 + 2*x + 3*x^2 + x^3 );
# Calling SCSCP services
chrystal := "chrystal.mcs.st-and.ac.uk";
PingWebService( chrystal, 26133 );
PingStatistic( chrystal, 26133, 10 );
EvaluateBySCSCP( "Factorial", [ 10 ], chrystal, 26133 );
EvaluateBySCSCP( "WS_factorial", [ 10 ], chrystal, 26133 );
SetInfoLevel( InfoSCSCP, 4 );
EvaluateBySCSCP( "Factorial", [ 10 ], chrystal, 26133 );
EvaluateBySCSCP( "WS_factorial", [ 10 ], chrystal, 26133 );
EvaluateBySCSCP( "WS_IdGroup", [ SymmetricGroup(3) ], chrystal, 26133 );
IdGroup(SymmetricGroup(3));
EvaluateBySCSCP( "GroupIdentificationService", [ [ (1,2,3), (2,3) ] ], chrystal, 26133 ); 
IdGroup( Group( (1,2,3), (2,3) ) );
Read("~/scscp/tst/id512.g");
G := DihedralGroup( IsPermGroup, 512 );
IdGroup512( G );
SetInfoLevel( InfoSCSCP, 0 );
IdGroup512( G );
# Working with remote objects
S := SymmetricGroup( 3 );
S1 := StoreAsRemoteObject( S, chrystal, 26133 );
EvaluateBySCSCP( "WS_IdGroup", [ S1 ], chrystal, 26133 );         
GeneratorsOfGroup( S );
List( [1..4], i -> EvaluateBySCSCP( "PointImages", [ S1, i ], chrystal, 26133 ).object );
RetrieveRemoteObject( S1 );
UnbindRemoteObject( S1 );
